limit_req_zone $binary_remote_addr zone=one:10m rate=$IP_BAN_REQUEST_RATE;
  
server {
  listen       80;
  server_name  $DOMAIN;
  access_log   /var/log/nginx/redirector.access.log  main;
  root         html;

  location = / {
    return 307 http://app.$DOMAIN;
  }

  location / {
    proxy_pass   $LOCATION_REDIRECTOR;
    limit_req zone=one burst=1 nodelay;
  }
}

server {
  listen       80;
  server_name  app.$DOMAIN;
  access_log   /var/log/nginx/app.access.log  main;

  location / {
    proxy_pass      $LOCATION_APP;
  }
}

server {
  listen       80;
  server_name  api.$DOMAIN;
  access_log   /var/log/nginx/api.access.log  main;

  location / {
    proxy_pass      $LOCATION_API;
  }
}

server {
  listen       80;
  server_name  data.$DOMAIN;
  access_log   /var/log/nginx/data.access.log  main;

  location / {
    proxy_pass      $LOCATION_DATA;
  }
}

